awe.sm Administration API

Retrieve Domain Details

Returns a domain's configuration and list of projects.

POSTapi.awe.sm/domains/{hostname}/show

HTTPS is supported on this endpoint. The GET method is also supported, but not preferred.

Required Parameters

Parameter Type Description
hostname string The domain you wish to retrieve.
subscription_key string The key of the subscription that owns the domain and projects being retrieved. Found in subscription settings.
application_key string The key of the application authorized to perform administrative actions on the subscription. Found in application settings.

Example

POST http://api.awe.sm/domains/demo.awe.sm/list?subscription_key=sub-xXXxXxxX&application_key=nZurcZ

{
    "request": {
        "application_key": "nZurcZ",
        "hostname": "demo.awe.sm",
        "method": "show",
        "object": "domain",
        "subscription_key": "sub-xXXxXxxX"
    },
    "response": {
        "domain": {
            "created_at": "2010-10-07 01:12:25",
            "hostname": "demo.awe.sm",
            "not_found_redirect": "http://developers.awe.sm/404.html",
            "projects": [
                "demo",
                "acmecorp",
                "conversiondemo"
            ],
            "root_redirect": "http://developers.awe.sm/",
            "updated_at": "2010-10-07 01:12:25"
        }
    }
}

Last updated 2011-10-27